Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020000
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-03-10 00:122012-04-17 05:31
ReporterpjuvaraView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revision31d0f09f51ac
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020000: Copy Accounts does not propagate new accounts added in Openbravo 3

DescriptionThe Copy Account feature (available on the Accounting Schema window and on the Business Partner Category and Product Category windows) propagates default accounts to the underlying tables.

In Openbravo 3, with the new financial modules, we have added a few additional default accounts (example: vendor prepayment, customer prepayment).

The Copy Account feature appears to ignore those accounts and not propagate them.
Steps To Reproduce1) Create a new accounting scheme using the US chart of accounts (US community localization)
2) Create a supplier: you will see that the pre-payment account is empty.
3) Add the pre-payment account in the Accounting Schema and press Copy Account.
4) The pre-payment account does not get populated to the supplier
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0046239)
pjuvara (reporter)
2012-03-10 00:28

It looks like the write-off revenue account does not get propagated from the accounting schema default to the business partner category.

The vendor pre-payment account does not get propagated from accounting schema to business partner
(0047354)
Sandrahuguet (developer)
2012-04-03 16:50

Those columns/fields were present before the changes mentioned in this issue.
(0047367)
pjuvara (reporter)
2012-04-03 23:07

Those fields where indeed added in 2.50 to support the functionality in the Advanced Payables and Receivables module that is optional in that version and part of the base distribution in Openbravo 3.

That does not mean that this issue should not be fixed.
(0047372)
eduardo_Argal (developer)
2012-04-04 09:58
edited on: 2012-04-04 10:02

The default behavior for copy accounts is to propagate the accounts to BP categories and not directly to BP. In this sense prepayment account is being propagated correctly to Category. Then you can copy from category to BP in that category using copy button in accounting tab for categories.

It is true, on the other hand, that write-off revenue account is not being propagated from accounting schema to category. We then proceed to fix this last problem.

(0047381)
Sandrahuguet (developer)
2012-04-04 11:58

Test Plan:
Go to Accounting Schema
 - Select F&B US, Inc. US/A/US Dollar
Go to Defaults tab
 - Select an account to write off revenue account in Busines Partner
 - Click in Copy Accounts and click OK in the popup
Go to Business Partner Category
 - Select Supplier category
 - Go to accounting tab
 - And you can see that the accounting configuration for F&B US, Inc. US/A/US Dollar accounting schema has been propagated with the configuration from the accounting schema. Now Write off revenue account should match the one selected in defaults.
(0047507)
hgbot (developer)
2012-04-12 11:19

Repository: erp/devel/pi
Changeset: 31d0f09f51acd08ea94272a6e5a8649093401b3d
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 04 10:43:01 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/31d0f09f51acd08ea94272a6e5a8649093401b3d [^]

Fixed bug 20000 Add write-off revenue account to C_ACCTSCHEMA_DEFAULT_COPY
Add write-off revenue account to C_ACCTSCHEMA_DEFAULT_COPY to propagate
this account from accounting schema to the business partner category.

---
M src-db/database/model/functions/C_ACCTSCHEMA_DEFAULT_COPY.xml
---
(0047508)
hgbot (developer)
2012-04-12 11:19

Repository: erp/devel/pi
Changeset: 328004714db62764cc50a934d97c2f134217fc91
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Apr 12 11:19:07 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/328004714db62764cc50a934d97c2f134217fc91 [^]

Issue 20000: updated copyright year

---
M src-db/database/model/functions/C_ACCTSCHEMA_DEFAULT_COPY.xml
---
(0047509)
vmromanos (developer)
2012-04-12 11:23

Code review + testing OK
(0047634)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test
(0047635)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-03-10 00:12 pjuvara New Issue
2012-03-10 00:12 pjuvara Assigned To => vmromanos
2012-03-10 00:12 pjuvara Modules => Core
2012-03-10 00:28 pjuvara Note Added: 0046239
2012-03-30 14:08 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-03-30 14:08 Sandrahuguet Status new => scheduled
2012-03-30 14:08 Sandrahuguet fix_in_branch => pi
2012-04-03 16:50 Sandrahuguet Note Added: 0047354
2012-04-03 16:50 Sandrahuguet Status scheduled => closed
2012-04-03 16:50 Sandrahuguet Resolution open => no change required
2012-04-03 23:07 pjuvara Note Added: 0047367
2012-04-03 23:07 pjuvara Status closed => new
2012-04-03 23:07 pjuvara Resolution no change required => open
2012-04-04 09:58 eduardo_Argal Note Added: 0047372
2012-04-04 10:02 eduardo_Argal Note Edited: 0047372 View Revisions
2012-04-04 11:24 Sandrahuguet Status new => scheduled
2012-04-04 11:58 Sandrahuguet Note Added: 0047381
2012-04-12 11:19 hgbot Checkin
2012-04-12 11:19 hgbot Note Added: 0047507
2012-04-12 11:19 hgbot Status scheduled => resolved
2012-04-12 11:19 hgbot Resolution open => fixed
2012-04-12 11:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/31d0f09f51acd08ea94272a6e5a8649093401b3d [^]
2012-04-12 11:19 hgbot Checkin
2012-04-12 11:19 hgbot Note Added: 0047508
2012-04-12 11:23 vmromanos Status resolved => closed
2012-04-12 11:23 vmromanos Fixed in Version => 3.0MP11
2012-04-12 11:23 vmromanos Note Added: 0047509
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047634
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047635


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker